--- etc/yum.init.orig	Sat Jan 24 21:14:10 2004
+++ etc/yum.init	Sat Jan 24 20:59:35 2004
@@ -14,13 +14,13 @@
 
 start() {
 	echo -n "Enabling yum: "
-	(/bin/touch /var/lock/subsys/yum && success) || failure
+	(/bin/touch @@PREFIX@@/var/lock/subsys/yum && success) || failure
 	echo
 }
 
 stop() {
 	echo -n "Disabling yum: "
-	(/bin/rm -f /var/lock/subsys/yum && success) || failure
+	(/bin/rm -f @@PREFIX@@/var/lock/subsys/yum && success) || failure
 	echo
 }
 
@@ -36,13 +36,13 @@
 	start
 	;;
   condrestart)
-        if [ -f /var/lock/subsys/yum ]; then
+        if [ -f @@PREFIX@@/var/lock/subsys/yum ]; then
 	    stop
 	    start
 	fi
 	;;
   status)
-	if [ -f /var/lock/subsys/yum ]; then
+	if [ -f @@PREFIX@@/var/lock/subsys/yum ]; then
 		echo "nightly yum update is enabled"
 	else
 		echo "nightly yum update is disabled"
